ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Iface.Recomp.Binary

Contents

- Computing fingerprints

Description

Computing fingerprints of values serializable with GHC's "Binary" module.

Synopsis

- fingerprintBinMem :: BinHandle -> IO Fingerprint
- computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint
- putNameLiterally :: BinHandle -> Name -> IO ()

# Computing fingerprints

fingerprintBinMem :: BinHandle -> IO Fingerprint Source #

computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint Source #

putNameLiterally :: BinHandle -> Name -> IO () Source #

Used when we want to fingerprint a structure without depending on the fingerprints of external Names that it refers to.